<div id="navbar-cheque" *ngIf="puntoSelect">
    <app-navbar-cheque [punto]="puntoSelect" [chequesMesa]="totalCheques" (changeCheque)="resultCheques($event);"
        [huesped]="huesped" [view]="flagVerMenu" [borrar]="flagBorrarBusqueda"
        (result)="puntoSelected($event, 'cambio-navbar')" (columns)="numColumn = $event" (backTo)="regresar()"
        (buscar)="buscarPlatillos($event)" (accion)="accionCheque($event)" [total]="comanda.length"
        [formCheque]="formCheque" [reiniciar]="reiniciar">
    </app-navbar-cheque>
</div>

<div id="cheque-class" *ngIf="!loading && puntoSelect">
    <div class="table-class mb-1" *ngIf="flagShowTabs && !flagBuscarHuesped">
        <ul class="nav nav-pills nav-fill justify-content-around m-1" id="myTab">
            <li class="nav-item" *ngIf="!flagPagar">
                <a class="nav-link active d-flex justify-content-center" data-toggle="tab" href="#tab1" (click)="tab1()"
                    role="tab">
                    <i class="fas fa-ticket-alt mr-2"></i>Cheque
                </a>
            </li>
            <li class="nav-item" *ngIf="!flagPagar">
                <a class="nav-link d-flex justify-content-center" data-toggle="tab" href="#tab2" (click)="tab2()"
                    role="tab" [ngClass]="{'disabled': !formCheque.icheque }">
                    <i class="fas fa-utensils mr-2"></i>Comanda
                </a>
            </li>
            <li class="nav-item" *ngIf="transferir">
                <a class="nav-link d-flex justify-content-center" data-toggle="tab" href="#tab3" role="tab"
                    [ngClass]="{'disabled': !formCheque.icheque }">
                    <i class="fas fa-exchange-alt mr-2"></i>Transferir
                </a>
            </li>
            <li class="nav-item" (click)="pagarCheque()"
                *ngIf="flagPagar && formCheque.estatus && formCheque.estatus !== 'A' && this.manttoCheque[3] === 'S'">
                <a class="nav-link d-flex justify-content-center" data-toggle="tab" href="#tab4" role="tab"
                    [ngClass]="{'disabled': !formCheque.icheque }">
                    <i class="fas fa-credit-card mr-2"></i>Pagos
                </a>
            </li>
        </ul>
        <kendo-dialog title="Desglose del Cheque" [minWidth]="500" (close)="flagShowTotal = false;"
            *ngIf="flagShowTotal">
            <table class="table table-hover table-dark" style="font-size: 13px;font-family: monospace;">
                <tbody>
                    <tr>
                        <td class="active" width="40%">Sub-Total</td>
                        <td width="60%">
                            <span>{{ items }}</span> Platillos
                            <span class="float-right"><b>{{ subtotal | number:'.2-2' }}</b></span>
                        </td>
                    </tr>
                    <tr>
                        <td class="active">Descuento %{{ porcDescuento }}</td>
                        <td><span class="float-right"><b>{{ descuento | number:'.2-2' }}</b></span></td>
                    </tr>
                    <tr>
                        <td class="active">Servicio</td>
                        <td><span class="float-right"><b>{{ propina | number:'.2-2' }}</b></span></td>
                    </tr>
                    <tr>
                        <td class="active">Total</td>
                        <td><span class="float-right"><b>{{ total | number:'.2-2' }}</b></span></td>
                    </tr>
                </tbody>
            </table>
            <div class="d-flex justify-content-center">
                <button class="btn btn-secondary px-4 py-3" (click)="flagShowTotal = false;">Cerrar</button>
            </div>
        </kendo-dialog>
        <div class="tab-content mx-1">

            <!-- TAB 1 - Encabezado del Cheque -->
            <div class="tab-pane animated fadeIn px-2 active tab1-class" id="tab1" role="tabpanel">
                <form #myForm="ngForm">
                    <div class="row-fluid">
                        <div class="form-group row justify-content-around">
                            <strong class="text-center pb-3 w-100" *ngIf="puntoSelect">
                                {{ formCheque.punto }}
                            </strong>
                            <span class="badge badge-pill badge-info"> Turno {{ formCheque.turno }}</span>
                            <span class="badge badge-pill"
                                [ngClass]="{ 'badge-success': formCheque.estatus === 'A', 'badge-warning': formCheque.estatus === 'I',
                                             'badge-danger':   formCheque.estatus === 'C', 'badge-secondary':  formCheque.estatus === 'X' }">
                                {{ formCheque.estatus | status }}
                            </span>
                            <span class="badge badge-pill badge-secondary">{{ formCheque.fecha | date: formatKendo
                                }}</span>
                        </div>
                        <div class="form-group row">
                            <label for="icheque" class="col-3 col-form-label">Cheque</label>
                            <div class="col-5">
                                <input type="number" class="form-control" name="icheque"
                                    [(ngModel)]="formCheque.icheque" [readOnly]="true">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mesa" class="col-3 col-form-label">Mesa</label>
                            <div class="col-5">
                                <input type="text" class="form-control" name="mesa" tabindex="1" (change)="changeMesa()"
                                    [(ngModel)]="formCheque.mesa" [readOnly]="readOnlyField"
                                    [required]="puntoSelect.pvalmes">
                            </div>
                            <div class="col">
                                <button class="btn btn-light px-4 py-2"
                                    [disabled]="readOnlyField || !puntoSelect.cImagen"
                                    (click)="btnBuscarMesa('buscar');">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-3 col-form-label">Clase</label>
                            <div class="col-9">
                                <kendo-dropdownlist [data]="dsClases" [textField]="'cdesc'" [valueField]="'clase'"
                                    [(ngModel)]="formCheque.clase" (valueChange)="changeClaseCheque($event)"
                                    [disabled]="readOnlyField || editar" name="clase" class="w-100" required>
                                </kendo-dropdownlist>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-3 col-form-label">Mesero</label>
                            <div class="col-9">
                                <kendo-dropdownlist [data]="dsMeseros" [textField]="'mnombre'" [valueField]="'Mesero'"
                                    [(ngModel)]="formCheque.mesero" [valuePrimitive]="true" name="mesero"
                                    [disabled]="readOnlyField || editar && manttoCheque[4] === 'N'" class="w-100">
                                </kendo-dropdownlist>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="personas" class="col-3 col-form-label">Personas</label>
                            <div class="col-3">
                                <input type="number" class="form-control" name="personas" [min]="0" [max]="100"
                                    [(ngModel)]="formCheque.personas" (change)="changePersonas()"
                                    [readOnly]="readOnlyField" tabindex="2" required>
                            </div>
                            <div class="col-6">
                                <button class="btn btn-light px-4 py-2" (click)="btnCount('plus')"
                                    [disabled]="readOnlyField">
                                    <i class="fas fa-plus"></i>
                                </button>
                                <button class="btn btn-light px-4 py-2 ml-1" (click)="btnCount('minus')"
                                    [disabled]="readOnlyField">
                                    <i class="fas fa-minus"></i>
                                </button>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="cuarto" class="col-3 col-form-label">Cuarto</label>
                            <div class="col-3">
                                <input type="text" class="form-control" name="cuarto" tabindex="3"
                                    (change)="changeBuscarCuarto(modalHuesped)" [(ngModel)]="formCheque.cuarto"
                                    [readOnly]="!claseChequeSelect.ccuarto || readOnlyField">
                            </div>
                            <div class="col-6">
                                <button class="btn btn-light px-4 py-2"
                                    [disabled]="!claseChequeSelect.ccuarto || readOnlyField"
                                    (click)="btnBuscarHuesped()">
                                    <i class="fas fa-search"></i>
                                </button>
                                <button class="btn px-4 py-2 ml-1" *ngIf="formCheque.cuarto"
                                    (click)="abrirInfoHuesped(modalHuesped)"
                                    [ngClass]="{ 'btn-danger': !huesped.hlimite, 'btn-success': huesped.hlimite }"
                                    [disabled]="!claseChequeSelect.ccuarto || !formCheque.cuarto">
                                    <i class="fas fa-bed"></i>
                                </button>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="descuento" class="col-3 col-form-label">% Desc.</label>
                            <div class="col-3">
                                <input type="number" class="form-control" name="descuento" tabindex="4"
                                    (change)="changeDescuento()" [(ngModel)]="formCheque.descuento"
                                    [readonly]="!descuentoGlobal || readOnlyField">
                            </div>
                            <div class="col-6">
                                <button class="btn btn-light px-4 py-2" (click)="btnChangeDescuento('plus')"
                                    [disabled]="!descuentoGlobal || readOnlyField">
                                    <i class="fas fa-plus"></i>
                                </button>
                                <button class="btn btn-light px-4 ml-1 py-2" (click)="btnChangeDescuento('minus')"
                                    [disabled]="!descuentoGlobal || readOnlyField">
                                    <i class="fas fa-minus"></i>
                                </button>
                            </div>
                        </div>
                        <!-- <div class="form-group row padding"  *ngIf="claseChequeSelect.ccheque">
                            <label for="voucher" class="col-3 col-form-label">Voucher</label>
                            <div class="col-7">
                                <input type="number" class="form-control"
                                        name="voucher" tabindex="5"
                                        [(ngModel)]="formCheque.voucher"
                                        [readOnly]="readOnlyField || editar">
                            </div>
                        </div> -->
                    </div>
                    <div class="divider"></div>
                    <div class="d-flex justify-content-center py-3">
                        <button class="btn btn-pill btn-shadow btn-success col-9 py-2 mb-2"
                            [disabled]="!myForm.valid || loading" (click)="guardarCheque(myForm.value)"
                            *ngIf="nuevo || formCheque.estatus === 'A'">
                            <i class="fas fa-save mr-2"></i>Guardar
                        </button>
                    </div>
                </form>
            </div>
            <!-- TAB 2 - DETALLE DEL CHEQUE - COMANDA -->
            <div class="tab-pane animated fadeIn" id="tab2" role="tabpanel" *ngIf="!transferir">
                <div class="row-fluid cheque-section">
                    <div class="body-section"
                        [ngClass]="{'body-section': formCheque.estatus !== 'A', 'body-section-transfer': formCheque.estatus === 'A'}">

                        <div class="text-center mt-2" (click)="verTiposMenu()" *ngIf="!comanda.length">
                            <strong>¡No hay platillos en la comanda!</strong>
                            <p>
                                Para agregar un nuevo platillo, <br>
                                navega entra los diferentes tipos y seleccionalo.
                            </p>
                        </div>

                        <table class="table table-hover table-default txt-size mt-1">
                            <tbody *ngIf="comanda">
                                <tr *ngFor="let detalle of comanda | orderBy: orderComanda : true;"
                                    [ngClass]="{'bg-danger text-white': detalle.cEactual === 'X' }">
                                    <ng-container *ngIf="detalle.Platillo && detalle.Tipo">
                                        <td (click)="detallePlatillo(detalle)">
                                            {{ detalle.iCom }}
                                        </td>
                                        <td (click)="detallePlatillo(detalle)" style="font-weight: 650;">
                                            {{ detalle.cPlatillo }}
                                            <br>
                                            <small class="text-secondary font-weight-bold" style="font-size:0.6rem;"
                                                [ngClass]="{'text-warning': detalle.cEactual === 'X' }">
                                                {{ detalle.cNotas }}
                                            </small>
                                        </td>
                                        <td class="h6" (click)="detallePlatillo(detalle)">
                                            <span class="badge badge-success ml-2"> x {{ detalle.dPorcion }}</span>
                                        </td>
                                        <td (click)="cambiarPrecioPlatillo(detalle)" class="text-right">
                                            {{ detalle.dPrecio * detalle.dPorcion | number:'.2-2' }}
                                        </td>
                                        <td (click)="cancelarPlatillo(detalle)" class="text-right" *ngIf="formCheque.estatus === 'A' && detalle.lEnviar &&
                                                   detalle.cEactual === 'A' && !separarActive">
                                            <i class="fas fa-ban fa-lg text-danger"></i>
                                        </td>
                                        <td *ngIf="detalle.cEactual === 'X'"></td>
                                        <td (click)="borrarPlatillo(detalle)" class="text-right"
                                            *ngIf="formCheque.estatus === 'A' && !detalle.lEnviar && !separarActive">
                                            <i class="fas fa-trash fa-lg text-danger"></i>
                                        </td>
                                    </ng-container>
                                </tr>
                            </tbody>
                        </table>

                    </div>
                    <!-- Total del cheque -->
                    <div class="row mx-0 footer-section" *ngIf="comanda.length">
                        <!-- ACCIONES DEL CHEQUE -->
                        <button class="btn btn-shadow btn-dark col-12 py-2 my-1 text-left"
                            (click)="calcularTotal(); flagShowTotal = true;" [disabled]="comanda.length <= 1"
                            *ngIf="formCheque.estatus === 'A'">
                            Total<span class="ml-2 float-right">{{ total | number:'.2-2' }}</span>
                        </button>
                        <button class="btn btn-shadow btn-primary col py-3" (click)="btnSepararPlatillos()"
                            [disabled]="comanda.length <= 1"
                            *ngIf="!separarActive && formCheque.estatus === 'A' && !transferir">
                            Separar
                        </button>
                        <button class="btn btn-shadow btn-danger col py-3" id="popupError" data-container="body"
                            data-toggle="popover" data-placement="top"
                            data-content="¡No es posible separar este platillo!" (click)="separarActive = false"
                            *ngIf="separarActive">
                            Terminar
                        </button>
                        <button class="btn btn-shadow btn-primary col py-3 mx-1" (click)="transferenciaPlatillo()"
                            [disabled]="comanda.length <= 1"
                            *ngIf="!separarActive && formCheque.estatus === 'A' && !transferir">
                            Transferir
                        </button>
                        <button class="btn btn-shadow btn-success col py-3"
                            [disabled]="!puntoSelect.pic1 || !flagEnvioCom || !comanda.length || formCheque.estatus !== 'A'"
                            (click)="enviarComanda()"
                            *ngIf="!separarActive && formCheque.estatus === 'A' && !transferir">
                            Enviar
                        </button>
                        <table class="table table-hover table-dark total-class" *ngIf="formCheque.estatus !== 'A'">
                            <tbody>
                                <tr>
                                    <td class="active" width="40%">Sub-Total</td>
                                    <td width="60%">
                                        <span>{{ items }}</span> Platillos
                                        <span class="float-right"><b>{{ subtotal | number:'.2-2' }}</b></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="active">Descuento %{{ porcDescuento }}</td>
                                    <td><span class="float-right"><b>{{ descuento | number:'.2-2' }}</b></span></td>
                                </tr>
                                <tr>
                                    <td class="active">Servicio</td>
                                    <td><span class="float-right"><b>{{ propina | number:'.2-2' }}</b></span></td>
                                </tr>
                                <tr>
                                    <td class="active">Total</td>
                                    <td><span class="float-right"><b>{{ total | number:'.2-2' }}</b></span></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <!-- TAB 3 - TRANSFERIR PLATILLOS -->
            <div class="tab-pane animated fadeIn" id="tab3" role="tabpanel">
                <div class="row-fluid cheque-section">
                    <div class="body-section-transfer">
                        <table class="table table-hover table-default txt-size">
                            <tbody *ngIf="comandaTransfer">
                                <tr *ngFor="let item of comandaTransfer;" (click)="transferirThis(item)">
                                    <ng-container *ngIf="item.cEactual !== 'X'">
                                        <td style="font-weight: 650;">{{ item.cPlatillo }}
                                            <br>
                                            <small class="text-primary" style="font-size:0.6rem;">{{ item.cNotas
                                                }}</small>
                                        </td>
                                        <td class="h6">
                                            <span class="badge badge-success ml-2"> x {{ item.dPorcion }}</span>
                                        </td>
                                        <td class="text-right"> {{ item.dPrecio * item.dPorcion | number:'.2-2' }}</td>
                                        <td>
                                            <i class="text-success"
                                                [ngClass]="{'fa fa-check fa-lg': item.cSelec, '': !item.cSelec}">
                                            </i>
                                        </td>
                                    </ng-container>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="row mx-0">
                        <button class="btn btn-secondary col py-3 m-1" (click)="cerrarTransferencia()">
                            <i class="fas fa-arrow-left fa-lg mr-2"></i>Regresar
                        </button>
                        <button class="btn btn-primary btn-shadow col py-3 m-1" (click)="transferirPlatillo(0)">
                            Cheque Nuevo
                        </button>
                        <button class="btn btn-primary btn-shadow col py-3 m-1"
                            (click)="buscarChequeTransf = true">Cheque
                            Existente
                        </button>

                    </div>
                </div>
            </div>

            <!-- TAB 4 - PAGO DE CHEQUE -->
            <div class="tab-pane" id="tab4" role="tabpanel" *ngIf="flagPagar">
                <div class="row-fluid cheque-section animated fadeIn">
                    <app-tab-pagos [cheque]="chequeSelected" [pagos]="listaPagos" (cerrar)="cancelarPago()"
                        (delete)="deleteTabPagos($event)" (result)="guardarFpCheque($event)">
                    </app-tab-pagos>
                </div>
            </div>
        </div>
    </div>
    <div class="menu-class">

        <ng-template #modalFactura let-c="close" let-d="dismiss">
            <app-factura-cheque [facturar]="facturar" [cheque]="chequeSelected"
                (finished)="resultFactura($event); c('Close click');">
            </app-factura-cheque>
        </ng-template>

        <div id="buscar-cheques" style="height: 0vh;" *ngIf="flagBuscarCheque">
            <app-search-check [punto]="puntoSelect.Punto" [mesero]="ttUsuario.Mesero" [mantto]="manttoCheque"
                (cheque)="resultCheques($event)" (close)="reiniciarBanderas('ver-plano');">
            </app-search-check>
        </div>

        <div id="help-mesa" *ngIf="puntoSelect.cImagen && flagBuscarMesa || flagCambioMesa">
            <div class="row m-1">
                <div class="font-weight-bold h5">Selecciona una Mesa</div>
                <div class="lead ml-3">
                    <span class="badge badge-success ml-1">Abierto</span>
                    <span class="badge badge-warning ml-1">Impreso</span>
                    <span class="badge badge-light ml-1">Disponible</span>
                    <span class="badge badge-secondary ml-1">Selección</span>
                    <span class="badge badge-dark ml-1">
                        <i class="fas fa-users mr-2"></i>Capacidad
                    </span>
                    <span class="badge badge-dark ml-1">
                        <i class="fas fa-ticket-alt mr-2"></i>Cheques
                    </span>
                </div>
            </div>
            <button class="btn btn-danger ml-1" (click)="verGridCheques()" *ngIf="!flagCambioMesa">
                <i class="fa fa-search mr-2" aria-hidden="true"></i>Ver Cheques
            </button>
            <button class="btn btn-primary mx-1 py-2 px-4" (click)="verMenu()" *ngIf="formCheque.estatus === 'A'">
                <i class="fas fa-arrow-left fa-lg mr-2"></i>Regresar
            </button>
            <app-help-mesas [punto]="puntoSelect" [inMesa]="formCheque.mesa" (cheque)="resultCheques($event);"
                (mesa)="resultMesas($event);" (close)="closeHelpMesas();" (verPlano)="verCheques($event);">
            </app-help-mesas>
        </div>

        <div id="buscar-huesped" class="row buscar-huesped-class" *ngIf="flagBuscarHuesped">
            <div class="col-12">
                <button class="btn btn-primary py-2 px-4 ml-1" (click)="reiniciarBanderas('salir-huesped')">
                    <i class="fas fa-arrow-left fa-lg mr-2"></i>Regresar
                </button>
            </div>
            <app-buscar (resultFolio)="resultFolio($event, modalHuesped)" class="animated fadeIn"></app-buscar>
        </div>

        <div id="tipos-class" *ngIf="flagVerMenu && formCheque.estatus === 'A'">
            <div class="m-1">
                <div class="row d-flex justify-content-center" style="overflow:auto;">

                    <div class="scroll-area-lg col-4 col-lg-3 scroll-menu animated fadeIn px-1" *ngIf="!loading">
                        <perfect-scrollbar [autoPropagation]="true">
                            <!-- TABLA CON LOS DIFERENTES TIPOS DE PLATILLO -->
                            <table class="table table-hover table-dark bg-royal text-center txt-size"
                                style="border-radius: 1rem;" *ngIf="formCheque.estatus === 'A'">
                                <tbody>
                                    <tr style="line-height: 1.8rem;"
                                        *ngFor="let item of tipos | orderBy: orderTipos; let i = index" [ngClass]="{'bg-grow-early animated tada': tipoSeleccionado === i,
                                               'bg-grow-early animated tada': item.tipo === tipo.tipo}">
                                        <td (click)="selectTipo(item, i)" *ngIf="!item.Inactivo">{{ item.tdesc }}
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </perfect-scrollbar>
                    </div>

                    <div class="text-center col-8 col-lg-9">
                        <div class="row d-flex justify-content-center my-2">
                            <div class="col-12 col-lg-6 col-xl-6 input-group mb-1">
                                <input type="text" class="form-control" placeholder="Buscar platillos..."
                                    [(ngModel)]="bPlatilloValue" (keyup)="buscarPlatillos(buscar.value)" #buscar>
                                <div class="input-group-append" (click)="bPlatilloValue = ''" *ngIf="bPlatilloValue">
                                    <span class="input-group-text">
                                        <i class="fas fa-eraser"></i>
                                    </span>
                                </div>
                            </div>
                            <button class="btn btn-light px-3 ml-1" (click)="btnNumColums('plus')">
                                <i class="fas fa-arrow-up"></i>
                            </button>
                            <span class="px-2 pt-2 text-dark"><small>Columnas:
                                </small><b>{{ numColumn }}</b></span>
                            <button class="btn btn-light px-3 ml-1" (click)="btnNumColums('minus')">
                                <i class="fas fa-arrow-down"></i>
                            </button>
                        </div>

                        <!-- CARD CON SUBTIPOS DEL TIPO SELECCIONADO -->
                        <div class="scroll-area-lg scroll-cards" *ngIf="tipo && tipo.lsubtipo && !platillos.length">
                            <perfect-scrollbar [autoPropagation]="true">
                                <div class="card-columns px-1" [ngStyle]="{'column-count': numColumn}">
                                    <div *ngFor="let sub of subtipos | orderBy: orderSubtipo; let index=index;"
                                        class="card bg-primary card-size animated fadeIn sub{{ index }}"
                                        style="cursor:pointer;" (click)="selectSubtipo(sub, index)">
                                        <div class="card-block p-4">
                                            <strong class="card-title txt-size text-white">{{ sub.cDesc }}</strong><br>
                                        </div>
                                    </div>
                                </div>
                            </perfect-scrollbar>
                        </div>

                        <!-- CARD CON LOS PLATILLOS DEL TIPO Y SUBTIPO SELECCIONADO -->
                        <div class="scroll-area-lg scroll-cards" *ngIf="tipo && !tipo.lsubtipo || platillos.length">
                            <perfect-scrollbar [autoPropagation]="true">
                                <!-- MENSAJE QUE SE MUESTRA SI NO HAY PLATILLOS -->
                                <div class="jumbotron jumbotron-fluid animated fadeInDown ml-2"
                                    style="border-radius: 1rem;" *ngIf="!platillos.length">
                                    <p class="lead">¡No se encontraron platillos!</p>
                                </div>
                                <div class="card-columns px-1" [ngStyle]="{'column-count': numColumn}"
                                    *ngIf="!loadingClick">
                                    <div *ngFor="let platillo of platillos | orderBy: orderPlatillo; let index=index;"
                                        class="card text-dark bg-warning card-size animated fadeIn platillo{{ index }}"
                                        style="cursor:pointer;" (click)="selectPlatillo(platillo, index)">
                                        <div class="card-block px-2" *ngIf="!platillo.Inactivo">
                                            <strong class="card-title txt-size">{{ platillo.pdesc }}</strong><br>
                                            <!-- <img class="card-img-top img-fluid" src="../../../../../../assets/images/coca-cola.jpg" alt="Imagen no disponible!" style="width: 120px;"><br> -->
                                            <p class="card-text">{{ platillo.pprecio | number:'.2-2' }}</p>
                                        </div>
                                    </div>
                                </div>
                            </perfect-scrollbar>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div id="pagar-cheque" *ngIf="flagPagar">
            <app-pagos-cheques [listaPagos]="listaPagosTab" [comanda]="comanda" [parametros]="parametrosPv"
                [cheque]="chequeSelected" [clase]="claseChequeSelect" (update)="resultChequeUpdate($event)"
                (pagos)="pagosAgregados($event)" *ngIf="manttoCheque[3] === 'S'">
            </app-pagos-cheques>
            <div class="jumbotron jumbotron-fluid text-center text-muted animated fadeInDown mt-1"
                *ngIf="manttoCheque[3] === 'N'">
                <div class="container">
                    <h1 class="display-4">Pagar Cheque</h1>
                    <p class="lead">Usuario sin privilegios para pagar cuentas.</p>
                </div>
            </div>
        </div>
        <div id="info-huesped" class="dialogo" *ngIf="showInfoHuesped">
            <app-info-huesped [huesped]="huesped" (close)="showInfoHuesped = false;"></app-info-huesped>
        </div>
        <div *ngIf="buscarChequeTransf">
            <kendo-dialog title="Transferir a Cheque Existente" [width]="700" (close)="buscarChequeTransf = false;">
                <app-search-check [punto]="puntoSelect.Punto" [mesero]="ttUsuario.Mesero" [btnPlano]="false"
                    (cheque)="transferirConfirma($event)" (close)="buscarChequeTransf = false;">
                </app-search-check>
            </kendo-dialog>
        </div>
    </div>
    <div id="separar-platillo" *ngIf="separarActive && flagBtnSeparar && selectedRow.dPorcion > 1">
        <kendo-dialog title="Número de porciones a separar" [width]="500" (close)="cerrarDesglosePorciones()">
            <div id="num-porciones" class="row-fluid text-center">
                <div class="row">
                    <div class="col-12 text-left">
                        <div class="row">
                            <p class="col-6">Comanda: {{ selectedRow.iCom }}</p>
                            <p class="col-6">Porciones: {{ selectedRow.dPorcion }}</p>
                            <p class="col-12">Platillo: {{ selectedRow.cPlatillo }}</p>
                        </div>
                    </div>
                </div>
                <ng-container *ngFor="let item of totalPorciones; let index = index;">
                    <button class="btn btn-outline-light col-2 my-3 p-3 m-1" (click)="desglosarPorciones(item + 2)"
                        [ngClass]="{'btn-warning': (item + 2) !== porciones, 'btn-warning': (item + 2) === porciones}">
                        {{ item + 2 }}
                    </button>
                </ng-container>
            </div>
            <div id="confirmar-porciones" class="container" *ngIf="desglosePorciones">
                <div class="row d-flex justify-content-center">
                    <ng-container *ngFor="let item of arrayPorciones; let index = index;">
                        <input type="number" class="form-control col-4 m-1" [(ngModel)]="arrayPorciones[index]"
                            (change)="onChangePorciones($event.target.value, arrayPorciones)">
                    </ng-container>
                </div>
            </div>
            <h6 class="text-center">{{ errorPorciones }}</h6>
            <hr>
            <div class="d-flex justify-content-between pt-1">
                <button class="btn btn-secondary px-4 py-3" (click)="cerrarDesglosePorciones()">
                    Cerrar
                </button>
                <button class="btn btn-success px-4 py-3 ml-1" [disabled]="validatorZero || loadingClick"
                    (click)="separarPlatillos();">
                    <i class="fa fa-check mr-2" aria-hidden="true"></i>Separar
                </button>
            </div>
        </kendo-dialog>
    </div>
    <div id="form-print" *ngIf="windowPrint">
        <kendo-dialog title="Impresión del Cheque" [width]="500" (close)="windowPrint = false;">
            <div class="p-1">
                <div class="form-group row">
                    <label class="col-4 col-form-label">% Desc.</label>
                    <div class="col-8 mt-2">
                        <input type="number" name="descuento" class="form-control" min="0" max="100"
                            (change)="changeDescuentoPrint()" [(ngModel)]="infoPrint.descuento"
                            [disabled]="!descuentoGlobal">
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-4 col-form-label">Notas</label>
                    <div class="col-8 mt-2">
                        <textarea name="notas" cols="30" rows="3" class="form-control"
                            [(ngModel)]="infoPrint.notas"></textarea>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-4 col-form-label">Servicio</label>
                    <div class="col-8 mt-2">
                        <input type="number" name="propina" class="form-control" min="0" pattern="^[\d.]+$"
                            (change)="changeServicioPrint()" [(ngModel)]="infoPrint.propina"
                            [disabled]="!claseChequeSelect.cprop">
                    </div>
                </div>
                <hr>
                <div class="row d-flex justify-content-between m-0">
                    <button class="btn btn-secondary py-3 px-5" (click)="windowPrint = false;">Cerrar
                    </button>
                    <button class="btn btn-success py-3 px-4" (click)="continuarImpresionCheque();">
                        <i class="fas fa-print mr-2"></i>Imprimir
                    </button>
                </div>
            </div>
        </kendo-dialog>
    </div>
</div>

<div id="imprimir-cheque" *ngIf="imprimirCheque">
    <app-imprimir-cheque [imprimir]="imprimirCheque" [printfp]="flagImprimirFp" [punto]="puntoSelect"
        [comanda]="comanda" [cheque]="chequeSelected" (finished)="printChequeFinish($event)">
    </app-imprimir-cheque>
</div>

<ng-template #modalHuesped let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">
            <i class="fas fa-bed mr-2"></i>Información del Huesped
        </h6>
        <button class="close" aria-label="Close" (click)="c()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-info-huesped [huesped]="huesped"></app-info-huesped>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c()">Cerrar</button>
    </div>
</ng-template>


<ng-template #modalDetalle let-c="close" let-d="dismiss">
    <div class="modal-body">
        <app-detalle-platillo [detalle]="selectedRow" [comandaAut]="comandaAut" [cheque]="chequeSelected" [descuento]="descuentoPlatillo"
            (close)="c(); selectedRow = [];" (update)="outputActualizarPlatillo($event);">
        </app-detalle-platillo>
    </div>
</ng-template>

<ng-template #modalAuth let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">
            <i class="fas fa-lock mr-2"></i>Solicitar Autorización
        </h6>
        <button class="close" aria-label="Close" (click)="c();">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <ng-container>
            <app-authorization (user)="getUserAuth($event, c)">
                {{ messageUserAuth }}
            </app-authorization>
        </ng-container>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c()">Cerrar</button>
    </div>
</ng-template>

<app-loading *ngIf="loading"></app-loading>